org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Class ResourceComputationScheduler.ShutdownStatus

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler.ShutdownStatus

Enclosing class:
  ResourceComputationScheduler<T>

    public static class ResourceComputationScheduler.ShutdownStatus
    extends Object

### Field Summary

Fields
`static ResourceComputationScheduler.ShutdownStatus` `STARTED`
`static ResourceComputationScheduler.ShutdownStatus` `SUCCESS`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()`
`ResourceComputationScheduler.ShutdownState` `getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STARTED

    public static final ResourceComputationScheduler.ShutdownStatus STARTED

#### SUCCESS

    public static final ResourceComputationScheduler.ShutdownStatus SUCCESS

### Method Detail

#### getCause

    public Throwable getCause()

#### getState

    public ResourceComputationScheduler.ShutdownState getState()